#1688 closed defect (fixed)

sparc64 sun4u register misuse

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: arch/sparc64 Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

There is a bug in the sun4u _ISR_Dispatch code that ends up cloberring the global registers. It manifests primarily as a memory alignment error when the globals are used to read to/from memory. I've attached a patch to fix the error.

Attachments (1)

rtems-cvs.diff (1.5 KB) - added by Gedare Bloom on Aug 25, 2010 at 7:23:33 PM.
Patch to fix bug.

Download all attachments as: .zip

Change History (5)

Changed on Aug 25, 2010 at 7:23:33 PM by Gedare Bloom

Attachment: rtems-cvs.diff added

Patch to fix bug.

comment:1 Changed on Aug 25, 2010 at 7:34:51 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:2 Changed on Aug 26, 2010 at 4:53:55 PM by Gedare Bloom

Looks good, thanks.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:31:36 AM by Sebastian Huber

Component: libcpuarch/sparc64
Note: See TracTickets for help on using tickets.